@echo off
SET RAYPATH=.;c:\radiance\lib
PATH=c:\radiance\bin;%PATH%
c:
cd c:\ladybug\2019_3_12_sDA_ASE__205TryASEerror\gridbased_daylightcoeff

echo :: total sky matrix
c:\radiance\bin\gendaymtx -O0 -r 0.0 -m 1 -v sky/skymtx_vis_r1_0_766133_20.522_-103.311_0.0.wea > sky/skymtx_vis_r1_0_766133_20.522_-103.311_0.0.smx
echo :: direct sky matrix
c:\radiance\bin\gendaymtx -d -O0 -r 0.0 -m 1 -v sky/skymtx_vis_r1_1_766133_20.522_-103.311_0.0.wea > sky/skymtx_vis_r1_1_766133_20.522_-103.311_0.0.smx
echo :: Done with 0 of 3 ^|----------^| (0.00%%)
echo ::
echo :: start of the calculation for scene, default. State 1 of 1
echo ::
echo :: :: 1. calculating daylight matrices
echo ::
echo :: :: [1/3] scene daylight matrix
echo :: :: rfluxmtx - [sky] [points] [wgroup] [blacked wgroups] [scene] ^> [dc.mtx]
echo ::
c:\radiance\bin\rfluxmtx -y 210 -aa 0.25 -ab 3 -ad 5000 -ar 16 -as 128 -dc 0.25 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.5 -I -lr 4 -lw 2e-06 -c 1 -ss 0.0 -st 0.85 - sky\rfluxSky.rad scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\wgroup\EXT_windows_Salones..blk.rad < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\normal_2019_3_12_sDA_ASE__205TryASEerror..scene..default.dc 
echo :: :: [2/3] black scene daylight matrix
echo :: :: rfluxmtx - [sky] [points] [wgroup] [blacked wgroups] [blacked scene] ^> [black dc.mtx]
echo ::
c:\radiance\bin\rfluxmtx -y 210 -aa 0.25 -ab 1 -ad 5000 -ar 16 -as 128 -dc 0.25 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.5 -I -lr 4 -lw 2e-06 -c 1 -ss 0.0 -st 0.85 - sky\rfluxSky.rad scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\wgroup\EXT_windows_Salones..blk.rad < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\black_2019_3_12_sDA_ASE__205TryASEerror..scene..default.dc 
echo :: :: [3/3] black scene analemma daylight matrix
echo :: :: rcontrib - [sun_matrix] [points] [wgroup] [blacked wgroups] [blacked scene] ^> [analemma dc.mtx]
echo ::
c:\radiance\bin\oconv -f scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\wgroup\EXT_windows_Salones..blk.rad sky\analemma_reversed.rad > analemma.oct
c:\radiance\bin\rcontrib -aa 0.0 -ab 0 -ad 512 -ar 16 -as 128 -dc 1.0 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.0 -I -lr 4 -lw 0.05 -M .\sky\analemma.mod -ss 0.0 -st 0.85 analemma.oct < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\sun_2019_3_12_sDA_ASE__205TryASEerror..scene..default.dc
echo :: :: 2. matrix multiplication
echo ::
echo :: :: [1/3] calculating daylight mtx * total sky
echo :: :: dctimestep [dc.mtx] [total sky] ^> [total results.rgb]
c:\radiance\bin\dctimestep result\matrix\normal_2019_3_12_sDA_ASE__205TryASEerror..scene..default.dc sky\skymtx_vis_r1_0_766133_20.522_-103.311_0.0.smx > tmp\total..scene..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [results.rgb] ^> [total results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\total..scene..default.rgb > result\total..scene..default.ill
echo :: :: [2/3] calculating black daylight mtx * direct only sky
echo :: :: dctimestep [black dc.mtx] [direct only sky] ^> [direct results.rgb]
c:\radiance\bin\dctimestep result\matrix\black_2019_3_12_sDA_ASE__205TryASEerror..scene..default.dc sky\skymtx_vis_r1_1_766133_20.522_-103.311_0.0.smx > tmp\direct..scene..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [direct results.rgb] ^> [direct results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\direct..scene..default.rgb > result\direct..scene..default.ill
echo :: :: [3/3] calculating black daylight mtx * analemma
echo :: :: dctimestep [black dc.mtx] [analemma only sky] ^> [sun results.rgb]
c:\radiance\bin\dctimestep result\matrix\sun_2019_3_12_sDA_ASE__205TryASEerror..scene..default.dc sky\sunmtx.smx > tmp\sun..scene..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [sun results.rgb] ^> [sun results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\sun..scene..default.rgb > result\sun..scene..default.ill
echo :: :: 3. calculating final results
echo :: :: rmtxop [total results.ill] - [direct results.ill] + [sun results.ill] ^> [final results.ill]
echo ::
c:\radiance\bin\rmtxop result\total..scene..default.ill + -s -1.0 result\direct..scene..default.ill + result\sun..scene..default.ill > result\scene..default.ill
echo :: end of calculation for scene, default
echo ::
echo ::
echo :: Done with 1 of 3 ^|###-------^| (33.33%%)
echo ::
echo :: start of the calculation for EXT_windows_Salones, default. State 1 of 2
echo ::
echo :: :: 1. calculating daylight matrices
echo ::
echo :: :: [1/3] scene daylight matrix
echo :: :: rfluxmtx - [sky] [points] [wgroup] [blacked wgroups] [scene] ^> [dc.mtx]
echo ::
c:\radiance\bin\rfluxmtx -y 210 -aa 0.25 -ab 3 -ad 5000 -ar 16 -as 128 -dc 0.25 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.5 -I -lr 4 -lw 2e-06 -c 1 -ss 0.0 -st 0.85 - sky\rfluxSky.rad scene\wgroup\EXT_windows_Salones..default.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\normal_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..default.dc 
echo :: :: [2/3] black scene daylight matrix
echo :: :: rfluxmtx - [sky] [points] [wgroup] [blacked wgroups] [blacked scene] ^> [black dc.mtx]
echo ::
c:\radiance\bin\rfluxmtx -y 210 -aa 0.25 -ab 1 -ad 5000 -ar 16 -as 128 -dc 0.25 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.5 -I -lr 4 -lw 2e-06 -c 1 -ss 0.0 -st 0.85 - sky\rfluxSky.rad scene\wgroup\EXT_windows_Salones..default.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\black_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..default.dc 
echo :: :: [3/3] black scene analemma daylight matrix
echo :: :: rcontrib - [sun_matrix] [points] [wgroup] [blacked wgroups] [blacked scene] ^> [analemma dc.mtx]
echo ::
c:\radiance\bin\oconv -f scene\wgroup\EXT_windows_Salones..default.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad sky\analemma_reversed.rad > analemma.oct
c:\radiance\bin\rcontrib -aa 0.0 -ab 0 -ad 512 -ar 16 -as 128 -dc 1.0 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.0 -I -lr 4 -lw 0.05 -M .\sky\analemma.mod -ss 0.0 -st 0.85 analemma.oct < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\sun_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..default.dc
echo :: :: 2. matrix multiplication
echo ::
echo :: :: [1/3] calculating daylight mtx * total sky
echo :: :: dctimestep [dc.mtx] [total sky] ^> [total results.rgb]
c:\radiance\bin\dctimestep result\matrix\normal_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..default.dc sky\skymtx_vis_r1_0_766133_20.522_-103.311_0.0.smx > tmp\total..EXT_windows_Salones..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [results.rgb] ^> [total results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\total..EXT_windows_Salones..default.rgb > result\total..EXT_windows_Salones..default.ill
echo :: :: [2/3] calculating black daylight mtx * direct only sky
echo :: :: dctimestep [black dc.mtx] [direct only sky] ^> [direct results.rgb]
c:\radiance\bin\dctimestep result\matrix\black_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..default.dc sky\skymtx_vis_r1_1_766133_20.522_-103.311_0.0.smx > tmp\direct..EXT_windows_Salones..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [direct results.rgb] ^> [direct results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\direct..EXT_windows_Salones..default.rgb > result\direct..EXT_windows_Salones..default.ill
echo :: :: [3/3] calculating black daylight mtx * analemma
echo :: :: dctimestep [black dc.mtx] [analemma only sky] ^> [sun results.rgb]
c:\radiance\bin\dctimestep result\matrix\sun_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..default.dc sky\sunmtx.smx > tmp\sun..EXT_windows_Salones..default.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [sun results.rgb] ^> [sun results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\sun..EXT_windows_Salones..default.rgb > result\sun..EXT_windows_Salones..default.ill
echo :: :: 3. calculating final results
echo :: :: rmtxop [total results.ill] - [direct results.ill] + [sun results.ill] ^> [final results.ill]
echo ::
c:\radiance\bin\rmtxop result\total..EXT_windows_Salones..default.ill + -s -1.0 result\direct..EXT_windows_Salones..default.ill + result\sun..EXT_windows_Salones..default.ill > result\EXT_windows_Salones..default.ill
echo :: end of calculation for EXT_windows_Salones, default
echo ::
echo ::
echo :: Done with 2 of 3 ^|######----^| (66.67%%)
echo ::
echo :: start of the calculation for EXT_windows_Salones, shades. State 2 of 2
echo ::
echo :: :: 1. calculating daylight matrices
echo ::
echo :: :: [1/3] scene daylight matrix
echo :: :: rfluxmtx - [sky] [points] [wgroup] [blacked wgroups] [scene] ^> [dc.mtx]
echo ::
c:\radiance\bin\rfluxmtx -y 210 -aa 0.25 -ab 3 -ad 5000 -ar 16 -as 128 -dc 0.25 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.5 -I -lr 4 -lw 2e-06 -c 1 -ss 0.0 -st 0.85 - sky\rfluxSky.rad scene\wgroup\EXT_windows_Salones..shades.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\normal_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..shades.dc 
echo :: :: [2/3] black scene daylight matrix
echo :: :: rfluxmtx - [sky] [points] [wgroup] [blacked wgroups] [blacked scene] ^> [black dc.mtx]
echo ::
c:\radiance\bin\rfluxmtx -y 210 -aa 0.25 -ab 1 -ad 5000 -ar 16 -as 128 -dc 0.25 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.5 -I -lr 4 -lw 2e-06 -c 1 -ss 0.0 -st 0.85 - sky\rfluxSky.rad scene\wgroup\EXT_windows_Salones..shades.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\black_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..shades.dc 
echo :: :: [3/3] black scene analemma daylight matrix
echo :: :: rcontrib - [sun_matrix] [points] [wgroup] [blacked wgroups] [blacked scene] ^> [analemma dc.mtx]
echo ::
c:\radiance\bin\oconv -f scene\wgroup\EXT_windows_Salones..shades.rad scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\opaque\2019_3_12_sDA_ASE__205TryASEerror..opq.rad scene\wgroup\black.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..blk.mat scene\glazing\2019_3_12_sDA_ASE__205TryASEerror..glz.rad sky\analemma_reversed.rad > analemma.oct
c:\radiance\bin\rcontrib -aa 0.0 -ab 0 -ad 512 -ar 16 -as 128 -dc 1.0 -dj 0.0 -dp 64 -ds 0.5 -dr 0 -dt 0.0 -I -lr 4 -lw 0.05 -M .\sky\analemma.mod -ss 0.0 -st 0.85 analemma.oct < 2019_3_12_sDA_ASE__205TryASEerror.pts > result\matrix\sun_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..shades.dc
echo :: :: 2. matrix multiplication
echo ::
echo :: :: [1/3] calculating daylight mtx * total sky
echo :: :: dctimestep [dc.mtx] [total sky] ^> [total results.rgb]
c:\radiance\bin\dctimestep result\matrix\normal_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..shades.dc sky\skymtx_vis_r1_0_766133_20.522_-103.311_0.0.smx > tmp\total..EXT_windows_Salones..shades.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [results.rgb] ^> [total results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\total..EXT_windows_Salones..shades.rgb > result\total..EXT_windows_Salones..shades.ill
echo :: :: [2/3] calculating black daylight mtx * direct only sky
echo :: :: dctimestep [black dc.mtx] [direct only sky] ^> [direct results.rgb]
c:\radiance\bin\dctimestep result\matrix\black_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..shades.dc sky\skymtx_vis_r1_1_766133_20.522_-103.311_0.0.smx > tmp\direct..EXT_windows_Salones..shades.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [direct results.rgb] ^> [direct results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\direct..EXT_windows_Salones..shades.rgb > result\direct..EXT_windows_Salones..shades.ill
echo :: :: [3/3] calculating black daylight mtx * analemma
echo :: :: dctimestep [black dc.mtx] [analemma only sky] ^> [sun results.rgb]
c:\radiance\bin\dctimestep result\matrix\sun_2019_3_12_sDA_ASE__205TryASEerror..EXT_windows_Salones..shades.dc sky\sunmtx.smx > tmp\sun..EXT_windows_Salones..shades.rgb
echo :: :: rmtxop -c 47.4 119.9 11.6 [sun results.rgb] ^> [sun results.ill]
echo ::
c:\radiance\bin\rmtxop -c 47.4 119.9 11.6 -fa tmp\sun..EXT_windows_Salones..shades.rgb > result\sun..EXT_windows_Salones..shades.ill
echo :: :: 3. calculating final results
echo :: :: rmtxop [total results.ill] - [direct results.ill] + [sun results.ill] ^> [final results.ill]
echo ::
c:\radiance\bin\rmtxop result\total..EXT_windows_Salones..shades.ill + -s -1.0 result\direct..EXT_windows_Salones..shades.ill + result\sun..EXT_windows_Salones..shades.ill > result\EXT_windows_Salones..shades.ill
echo :: end of calculation for EXT_windows_Salones, shades
echo ::
echo ::